/Users/bernard/b20/bsoft/include/rwClustal.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwClustal.h - Header file for reading and writing Clustal sequence files.

SYNOPSIS

#include 'rwmolecule.h'

  Functions
int readClustal (Bstring &filename, Bmolgroup *molgroup)
Reads Clustal format sequence files.
int writeClustal (Bstring &filename, Bmolgroup *molgroup)
Writes Clustal format sequence files.

Detailed Description

Header file for reading and writing Clustal sequence files.

Author:
    Bernard Heymann

Date:
    Created: 20030309

    Modified: 20030309

    Format: Protein sequence file format

Definition in file rwClustal.h.

Function Documentation

  int readClustal (Bstring & filename, Bmolgroup * molgroup)

Reads Clustal format sequence files.

Parameters:
    &filename sequence file name.
    *molgroup molecule group.

Returns:
    int number of molecules read (<0 if reading failed).

    Clustal format:
    NP_039940       -----MHAKMNGWAGVRL--VTHCLNTRSRTYVALNMLAFARTPRGVPSCLFNKVWVSRY
    P16720          -----MHAKMNGWAGVRL--VTHCLNTRSRTYVALNMLAFARTPRGVPSCLFNKVWVSRY
    DAA00163        -----MHAKMNGWAGVRL--VTHCLNTRSRTYVALNMLAFARTPRGVPSCLFNKVWVSRY

Definition at line 29 of file rwClustal.cpp.

  int writeClustal (Bstring & filename, Bmolgroup * molgroup)

Writes Clustal format sequence files.

Parameters:
    &filename sequence file name.
    *molgroup molecule group.

Returns:
    int number of molecules written (<0 if writing failed).

Definition at line 81 of file rwClustal.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.